RTEMS: qoriq_pic Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Public Member Functions | Data Fields
qoriq_pic Struct Reference

## Public Member Functions
| QORIQ_FILL (0x00000, 0x00010, uint32_t)
| QORIQ_FILL (0x00010, 0x00040, uint32_t)
| QORIQ_FILL (0x00080, 0x00090, uint32_t)
| QORIQ_FILL (0x00090, 0x000a0, uint32_t)
| QORIQ_FILL (0x000a0, 0x000b0, uint32_t)
| QORIQ_FILL (0x000b0, 0x01000, uint32_t)
| QORIQ_FILL (0x01000, 0x01020, uint32_t)
| QORIQ_FILL (0x01020, 0x01080, uint32_t)
| QORIQ_FILL (0x01080, 0x01090, uint32_t)
| QORIQ_FILL (0x01090, 0x010a0, uint32_t)
| QORIQ_FILL (0x010e0, 0x010f0, uint32_t)
| QORIQ_FILL (0x010f0, 0x01100, uint32_t)
| QORIQ_RESERVE (0x01200, 0x01300)
| QORIQ_FILL (0x01300, 0x01308, uint32_t)
| QORIQ_FILL (0x01308, 0x01310, uint32_t)
| QORIQ_RESERVE (0x013d0, 0x01400)
| QORIQ_RESERVE (0x01440, 0x01500)
| QORIQ_FILL (0x01500, 0x01510, uint32_t)
| QORIQ_FILL (0x01510, 0x01600, uint32_t)
| QORIQ_RESERVE (0x01680, 0x01720)
| QORIQ_FILL (0x01720, 0x01740, uint32_t)
| QORIQ_FILL (0x01740, 0x020f0, uint32_t)
| QORIQ_FILL (0x020f0, 0x02100, uint32_t)
| QORIQ_RESERVE (0x02200, 0x02300)
| QORIQ_FILL (0x02300, 0x02400, uint32_t)
| QORIQ_RESERVE (0x02440, 0x02500)
| QORIQ_FILL (0x02500, 0x02510, uint32_t)
| QORIQ_FILL (0x02510, 0x10000, uint32_t)
| QORIQ_RESERVE (0x10180, 0x10200)
| QORIQ_RESERVE (0x11700, 0x11c00)
| QORIQ_RESERVE (0x11d00, 0x13000)
| QORIQ_RESERVE (0x13c00, 0x20000)

## Data Fields
uint32_t | brr1
uint32_t | brr2
qoriq_pic_reg | ipidr [4]
uint32_t | ctpr
uint32_t | whoami
uint32_t | iack
uint32_t | eoi
uint32_t | frr
uint32_t | gcr
uint32_t | vir
uint32_t | pir
qoriq_pic_reg | ipivpr [4]
uint32_t | svr
uint32_t | tfrra
qoriq_pic_global_timer | gta [4]
uint32_t | tcra
uint32_t | erqsr
qoriq_pic_bit_field | irqsr
qoriq_pic_bit_field | cisr
qoriq_pic_bit_field | pm [4]
qoriq_pic_reg | msgr03 [4]
uint32_t | mer03
uint32_t | msr03
qoriq_pic_reg | msir [8]
uint32_t | msisr
uint32_t | msiir
uint32_t | tfrrb
qoriq_pic_global_timer | gtb [4]
uint32_t | tcrb
qoriq_pic_reg | msgr47 [4]
uint32_t | mer47
uint32_t | msr47
qoriq_pic_src_cfg | ei [12]
qoriq_pic_src_cfg | ii_0 [160]
qoriq_pic_src_cfg | mi [8]
qoriq_pic_src_cfg | msi [8]
qoriq_pic_src_cfg | ii_1 [96]
qoriq_pic_per_cpu | per_cpu [2]

The documentation for this struct was generated from the following file:

- bsps/powerpc/qoriq/include/bsp/qoriq.h